#!/usr/bin/python

from setuptools import setup, find_packages


setup(
    name="ai-web-common",
    version="3.0",
    description="A/I Web Application Common Code",
    author="Autistici/Inventati",
    author_email="info@autistici.org",
    url="https://git.autistici.org/ai3/tools/python-web-common",
    install_requires=[
        "Flask",
        "flask-talisman",
        "opencensus",
        "opencensus-ext-flask",
        "opencensus-ext-requests",
        "opencensus-ext-zipkin",
        "retrying",
        "sso",
        "urllib3",
        "whitenoise",
    ],
    zip_safe=False,
    packages=find_packages(),
    entry_points={},
)
